Draft Circle
|
Menu location |
---|
Drafting → Circle |
Workbenches |
Draft, Arch |
Default shortcut |
C I |
Introduced in version |
0.7 |
See also |
Draft Arc, Draft Arc 3Points |
Description
The Draft Circle command creates a circle in the current working plane from a center and a radius. The radius can be defined by picking a point.
A Draft Circle can be turned into an arc by setting its DataFirst Angle and DataLast Angle properties to different values.
Circle defined by two points, center and radius
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- Press the
Draft Circle button.
- Select the Drafting →
Circle option from the menu.
- Use the keyboard shortcut: C then I.
- Press the
- The Circle task panel opens. See Options for more information.
- Pick the first point, the center of the circle, in the 3D view, or type coordinates and press the
Enter point button.
- Pick the second point in the 3D view, or enter a Radius.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.
- To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
- Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created circle will have DataMake Face set to
true
and will have a filled face. - Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating circles.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Notes
- A Draft Circle can be edited with the Draft Edit command.
Preferences
See also: Preferences Editor and Draft Preferences.
- To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
- To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
- If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.
Properties
See also: Property editor.
A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DataArea (
Area
): (read-only) specifies the area of the face of the circle. The value will be0.0
if DataMake Face iffalse
or the face cannot be created. - DataFirst Angle (
Angle
): specifies the start angle of the circle, normally0°
. - DataLast Angle (
Angle
): specifies the end angle of the circle, normally0°
. - DataMake Face (
Bool
): specifies if the circle makes a face or not. If it istrue
a face is created, otherwise only the perimeter is considered part of the object. This property only works if the DataFirst Angle and DataLast Angle have the same value. Note that0°
and360°
are not considered the same. - DataRadius (
Length
): specifies the radius of the circle.
View
Draft
- ViewPattern (
Enumeration
): specifies the Draft Pattern with which to fill the face of the circle. This property only works if DataMake Face istrue
and if ViewDisplay Mode isFlat Lines
. - ViewPattern Size (
Float
): specifies the size of the Draft Pattern.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Circle use the make_circle
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle
method.
circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
- Creates a
circle
object with givenradius
in millimeters.radius
can also be aPart.Edge
, whoseCurve
attribute must be aPart.Circle
.
- If
placement
isNone
the circle is created at the origin. - If
face
isTrue
, the circle will make a face, that is, it will appear filled. - If
startangle
andendangle
are given in degrees, and have different values, they are used and the object appears as a Draft Arc.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
circle1 = Draft.make_circle(200)
zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)
p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub